Thanks for your interest in contributing to the <%= pkg.name %> project. There
are quite a few ways in which you can contribute to make the project better,
these guidelines are in place to help everyone communicate these changes as
best as they can.


## Reporting an issue

If you find something that you consider to be an issue with the project, please
[create an issue on the relevant GitHub project tracker][issue]. Opening an issue means
you're up to talk to us about the problem so we can solve it.

When reporting an issue, please try to provide as much information as you can
so that we can understand the problem. This usually means:

 -  The version of the project;
 -  The platform and version (Node 0.10.2, Firefox 23, PhantomJS 1.9, ...);
 -  The operating system (Windows, OS/X, Linux, ...);
 -  If possible and relevant, a test case that reproduces the problem;

[issue]: https://github.com/<%= pkg.github %>/<%= pkg.name %>/issues

## Contributing a feature or fix

If you want to provide a patch for an issue or add a new feature to a project,
there are also a few guidelines that can help us communicate better. All
projects use [Git](http://git-scm.com/). If you want to get more familiar with
the tool, you can try the freely available
[Pro Git book](http://git-scm.com/book).

In a nutshell, the workflow goes like this:

 -  Fork the project on GitHub, so you have commit access to it;
 -  Create a feature branch (e.g.: patch-issue-1234);
 -  Do your changes and test them (`make test`);
 -  Make a pull request with your changes;

A Pull Request is mainly a way of getting feedback about your changes and
starting a discussion about them before merging it on the main branch.


## Contributing documentation

Documentation is awesome, and much needed. Tutorials, examples, and changes to
the core API documentation to make them easier to understand are also
appreciated.

If you decide to make tutorials, screencasts, etc, you can open issues on the
[folktale.github.io](https://github.com/folktale/folktale.github.io)
repository with a link to the material, or send a pull request adding it to the
list of related documentation.
